NonComplianceReason

Reasons a device might not be compliant with a policy setting.

Enums
NON_COMPLIANCE_REASON_UNSPECIFIED This value is disallowed.
API_LEVEL The setting is not supported in the API level of the Android version running on the device.
MANAGEMENT_MODE The management mode (profile owner, device owner, etc.) doesn't support the setting.
USER_ACTION The user has not taken required action to comply with the setting.
INVALID_VALUE The setting has an invalid value.
APP_NOT_INSTALLED The app required to implement the policy is not installed.
UNSUPPORTED The policy is not supported by the version of Android Device Policy on the device.
APP_INSTALLED A blocked app is installed.
PENDING The setting hasn't been applied at the time of the report, but is expected to be applied shortly.
APP_INCOMPATIBLE The setting can't be applied to the app because the app doesn't support it, for example because its target SDK version is not high enough.
APP_NOT_UPDATED The app is installed, but it hasn't been updated to the minimum version code specified by policy.

Send feedback about...

Android Management API
Android Management API